## heat 7.0.0~b3

=== debian/changelog ===
heat (1:7.0.0~b3-1+375~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 21 Sep 2016 09:19:28 +0000

heat (1:7.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased fix-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Sep 2016 19:42:11 +0200

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit (>= 0.13.2),
                     git,
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-croniter,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.3.0),
                     python-greenlet,
                     python-hacking,
                     python-heatclient (>= 1.4.0),
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystoneclient (>= 1:2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-kombu (>= 3.0.25),
                     python-lxml,
                     python-magnumclient (>= 2.0.0),
                     python-manilaclient (>= 1.10.0),
                     python-migrate (>= 0.9.6),
                     python-mistralclient (>= 2.0.0),
                     python-mock (>= 2.0),
                     python-monascaclient (>= 1.1.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openstackclient (>= 2.1.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref,
                     python-os-collect-config,
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-pastedeploy,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-retrying (>= 1.2.3),
                     python-routes,
                     python-saharaclient (>= 0.18.0),
                     python-senlinclient (>= 0.3.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.),
                     python-swiftclient,
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tempest (>= 1:12.1.0),
                     python-troveclient (>= 1:2.2.0),
                     python-tz,
                     python-webob,
                     python-yaml,
                     python-yaql (>= 1.1.0),
                     python-zaqarclient (>= 1.0.0),
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/heat.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: python-heat
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1:1.6.0),
         python-croniter,
         python-crypto,
         python-cryptography (>= 1.0),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-glanceclient (>= 1:2.3.0),
         python-greenlet,
         python-heatclient (>= 1.4.0),
         python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1:2.0.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-magnumclient (>= 2.0.0),
         python-manilaclient (>= 1.10.0),
         python-memcache,
         python-migrate (>= 0.9.6),
         python-mistralclient (>= 2.0.0),
         python-monascaclient (>= 1.1.0),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-openstackclient (>= 2.1.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-osprofiler (>= 1.4.0),
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-routes,
         python-saharaclient (>= 0.18.0),
         python-senlinclient (>= 0.3.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-swiftclient,
         python-troveclient (>= 1:2.2.0),
         python-tz,
         python-webob,
         python-yaml,
         python-yaql (>= 1.1.0),
         python-zaqarclient (>= 1.0.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-heat (=${binary:Version}),
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

Package: heat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init
	set -e ; set -x ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) testr run --subunit --parallel 'heat.tests.*' | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info .testrepository
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -f \
		debian/heat-common.postinst \
		debian/heat-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_install:
	mkdir -p $(CURDIR)/debian/heat-common/usr/share/heat-common
	oslo-config-generator \
		--namespace heat.common.config \
                --namespace heat.common.context \
		--namespace heat.common.crypt \
		--namespace heat.common.heat_keystoneclient \
		--namespace heat.common.wsgi \
		--namespace heat.engine.clients \
		--namespace heat.engine.notification \
		--namespace heat.engine.resources \
                --namespace heat.api.middleware.ssl \
		--namespace heat.api.aws.ec2token \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.messaging \
                --namespace oslo.middleware \
		--namespace oslo.db \
		--namespace oslo.log \
                --namespace oslo.policy \
                --namespace oslo.service.service \
                --namespace oslo.service.periodic_task \
                --namespace oslo.service.sslutil \
		--wrap-width 140 \
		--output-file $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	sed -i 's|^[# \t]*auth_protocol[\t #]*=.*|auth_protocol = http|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf


	dh_install --fail-missing -Xbin/cinder-keystone-setup
	# Some files are missing, fix that...
	cp -axuf heat/db/sqlalchemy/migrate_repo/* $(CURDIR)/debian/python-heat/usr/lib/python2.7/dist-packages/heat/db/sqlalchemy/migrate_repo
	cp -r heat/cloudinit/* $(CURDIR)/debian/python-heat/usr/lib/python2.7/dist-packages/heat/cloudinit/

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.config

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/heat-doc/usr/share/doc/heat-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## heat 7.0.0~rc1

=== debian/changelog ===
heat (1:7.0.0~rc1-1+376~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 23 Sep 2016 06:40:01 +0000

heat (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased fix-requirements.txt.patch.
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Sep 2016 19:42:11 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python-sphinx,
 Build-Depends-Indep: bandit (>= 0.13.2),
                      git,
+                     python-aodhclient (>= 0.5.0),
                      python-babel (>= 2.3.4),
                      python-barbicanclient (>= 4.0.0),
                      python-ceilometerclient (>= 2.5.0),
@@ -94,14 +95,15 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/heat.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/heat.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-heat
+Vcs-Git: https://git.openstack.org/openstack/deb-heat
 Homepage: http://wiki.openstack.org/Heat
 
 Package: python-heat
 Section: python
 Architecture: all
-Depends: python-babel (>= 2.3.4),
+Depends: python-aodhclient (>= 0.5.0),
+         python-babel (>= 2.3.4),
          python-barbicanclient (>= 4.0.0),
          python-ceilometerclient (>= 2.5.0),
          python-cinderclient (>= 1:1.6.0),

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 	testr init
 	set -e ; set -x ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) testr run --subunit --parallel 'heat.tests.*' | tee $$TEMP_REZ | subunit2pyunit || true ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
+		PYTHONPATH=$(CURDIR) testr run --subunit --parallel 'heat.tests.*' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ;
 	testr slowest
 endif

## heat 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.cache>=1.5.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pycrypto>=2.6 # Public Domain
aodhclient>=0.5.0 # Apache-2.0
python-barbicanclient>=4.0.0 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
python-heatclient>=1.4.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-magnumclient>=2.0.0 # Apache-2.0
python-manilaclient>=1.10.0 # Apache-2.0
python-mistralclient>=2.0.0 # Apache-2.0
python-monascaclient>=1.1.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-openstackclient>=2.1.0 # Apache-2.0
python-saharaclient>=0.18.0 # Apache-2.0
python-senlinclient>=0.3.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.1.0 # MIT
requests>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
WebOb>=1.2.3 # MIT
yaql>=1.1.0 # Apache 2.0 License

=== debian/changelog ===
heat (1:7.0.0-4) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858698).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:36:53 +0200

heat (1:7.0.0-3) unstable; urgency=medium

  * Add allow-sqlalchemy-1.1.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Jan 2017 03:02:49 +0100

heat (1:7.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * CVE-2016-9185: template source URL allows network port scan: applied
    upstream patch (Closes: #843232).
  * Remove broken rst with latest docutils (Closes: #850231).

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Dec 2016 17:36:59 +0100

heat (1:7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:50:16 +0200

heat (1:7.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Fixed config gneration namespaces.
  * Debconf translation:
    - it (Closes: #839195).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:42:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -43,7 +43,7 @@
                      python-mock (>= 2.0),
                      python-monascaclient (>= 1.1.0),
                      python-mysqldb,
-                     python-netaddr (>= 0.7.12),
+                     python-netaddr (>= 0.7.13),
                      python-neutronclient (>= 1:5.1.0),
                      python-novaclient (>= 2:2.29.0),
                      python-openstackclient (>= 2.1.0),
@@ -66,7 +66,7 @@
                      python-oslo.utils (>= 3.16.0),
                      python-oslo.versionedobjects (>= 1.13.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-osprofiler (>= 1.4.0),
                      python-paramiko (>= 2.0),
                      python-pastedeploy,
@@ -95,8 +95,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-heat
-Vcs-Git: https://git.openstack.org/openstack/deb-heat
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-heat?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-heat -b debian/newton
 Homepage: http://wiki.openstack.org/Heat
 
 Package: python-heat
@@ -127,7 +127,7 @@
          python-mistralclient (>= 2.0.0),
          python-monascaclient (>= 1.1.0),
          python-mysqldb,
-         python-netaddr (>= 0.7.12),
+         python-netaddr (>= 0.7.13),
          python-neutronclient (>= 1:5.1.0),
          python-novaclient (>= 2:2.29.0),
          python-openstackclient (>= 2.1.0),

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 		--namespace heat.common.config \
                 --namespace heat.common.context \
 		--namespace heat.common.crypt \
-		--namespace heat.common.heat_keystoneclient \
+		--namespace heat.engine.clients.keystone.heat_keystoneclient \
 		--namespace heat.common.wsgi \
 		--namespace heat.engine.clients \
 		--namespace heat.engine.notification \
@@ -56,6 +56,7 @@
                 --namespace oslo.service.sslutil \
 		--wrap-width 140 \
 		--output-file $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
+
 	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
 	sed -i 's|^[# \t]*auth_protocol[\t #]*=.*|auth_protocol = http|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf

## heat 7.0.3

=== debian/changelog ===
heat (1:7.0.3-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 15:18:42 -0400

heat (1:7.0.2-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton (LP: #1664306).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Mar 2017 14:05:03 -0500

heat (1:7.0.1-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton (LP: #1645772).
  * d/p/*: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Tue, 29 Nov 2016 13:33:44 -0500

heat (1:7.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for Openstack Newton. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Oct 2016 10:58:45 -0400

heat (1:7.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:10:49 -0400

heat (1:7.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream release.
  * d/p/fix-FakeHTTPClient-failures.patch: Dropped, included upstream.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Sep 2016 13:05:12 -0400

heat (1:7.0.0~b3-0ubuntu2) yakkety; urgency=medium

  * d/p/fix-FakeHTTPClient-failures.patch: Fixes failures hit with latest
    python-novaclient.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 03 Sep 2016 20:44:24 -0400

heat (1:7.0.0~b3-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 10:08:23 -0400

heat (1:7.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * Align (Build-)Depends with upstream.
  * New upstream version.
  * d/control: Add python-aodhclient to (Build-)Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 10:24:40 -0400

heat (1:7.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Drop redundant patches.
  * Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * d/rules: Adding cwd to PYTHONPATH to faciliate updated heat.conf.sample
    (LP: #1506665).

  [ Corey Bryant ]
  * d/control: Add python-yaql to (Build-)Depends.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 06 Jun 2016 16:03:27 -0400

heat (1:6.0.0-0ubuntu2) yakkety; urgency=medium

  * d/p/engine-shutdown.patch: Cherry pick fix to ensure that heat-engine
    worker processes are shutdown correctly when SIGINT is received early
    in the process lifecycle (LP: #1562042).

 -- James Page <james.page@ubuntu.com>  Tue, 10 May 2016 13:19:52 +0100

## heat 7.0.6

=== debian/changelog ===
heat (1:7.0.6-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1718033).
  * d/p/sudoers_patch.patch: Rebased.
  * d/p/skip-test.patch: Skip test until upstream bug is resolved:
    https://bugs.launchpad.net/bugs/1718288.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Sep 2017 18:05:06 -0400

heat (1:7.0.4-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1705176).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 12:16:26 +0100

## heat 8.0.0

=== debian/changelog ===
heat (1:8.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:56:52 -0500

heat (1:8.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Feb 2017 07:35:10 -0500

heat (1:8.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New uptream milestone for Ocata. 
  * debian/patches/fix-ceilometerclient-2.8.patch: Dropped
    no longer needed.  

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:41:12 -0500

heat (1:8.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.
  * debian/patches/fix-ceilometerclient-2.8.patch: Fix unittests with python-ceilometerclient 2.8.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 11:57:01 -0500

heat (1:8.0.0~b2-0ubuntu4) zesty; urgency=medium

  * d/control, d/rules, d/heat.*, d/tests/heat-daemons: Revert execution of
    heat API under apache2 with mod_wsgi.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2017 12:14:03 -0500

heat (1:8.0.0~b2-0ubuntu3) zesty; urgency=medium

  * debian/heat-api-cfn.init.in: Readd systemd daemon since it hasnt
    converted over to wsgi yet. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jan 2017 14:30:38 -0500

heat (1:8.0.0~b2-0ubuntu2) zesty; urgency=medium

  * d/t/heat-daemons: Fix up broken test and allow delayed start of services.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Dec 2016 10:24:18 -0500

heat (1:8.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * d/p/remove-oslo-incubator-use-in-other-client-plugins.patch: Dropped
    no longer needed. 
  * d/control, d/rules, d/heat.apache2, d/heat.conf: Convert API servers
    to use wsgi.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/sudoers_patch.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:21:24 -0500

heat (1:8.0.0~b1-0ubuntu2) zesty; urgency=medium

  * d/p/remove-oslo-incubator-use-in-other-client-plugins.patch: Cherry-pick
    from upstream master branch to fix import failures seen in ocata-proposed
    tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Dec 2016 17:24:36 -0500

heat (1:8.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ James Page ]
  * d/control,rules: Switch to ostestr for unit test execution.

  [ Corey Bryant ]
  * New upstream version.
  * d/control: Align python-webob with upstream.

  [ Chuck Short ]
  * debian/rules: Fix unit tests. 

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/*: Rebased.
  * d/control: Remove dependency python-coverage and align (build-)depends 
    with upstream.
  * New upstream milestone for OpenStack Ocata.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 17 Nov 2016 09:04:05 -0500

## heat 8.0.5

=== debian/changelog ===
heat (1:8.0.5-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1736149).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Dec 2017 10:06:16 -0500

heat (1:8.0.4-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1718730).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2017 13:23:35 -0400

heat (1:8.0.2-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1706297).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 16:34:39 +0100

heat (1:8.0.1-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * d/heat-common.postinst: Make sure that /etc/heat has the appropriate
    permissions (LP: #1675088).

  [ James Page ]
  * New upstream stable release for OpenStack Ocata (LP: #1696139).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 16:02:28 +0100

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit,
                     python-aodhclient (>= 0.7.0),
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1.6.0),
                     python-coverage (>= 4.0),
                     python-croniter (>= 0.3.4),
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-gabbi (>= 1.26.1),
                     python-glanceclient (>= 1:2.5.0),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.6.1),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-kombu (>= 3.0.25),
                     python-lxml (>= 2.3),
                     python-magnumclient (>= 2.0.0),
                     python-manilaclient (>= 1.12.0),
                     python-migrate (>= 0.9.6),
                     python-mistralclient (>= 1:2.0.0),
                     python-mock (>= 2.0),
                     python-monascaclient (>= 1.1.0),
                     python-mox3 (>= 0.7.0),
                     python-pymysql (>= 0.7.6),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:6.0.0),
                     python-openstackclient (>= 3.3.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref (>= 1.0.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-pastedeploy (>= 1.5.0),
                     python-psycopg2 (>= 2.5),
                     python-crypto (>= 2.6),
                     python-pymysql,
                     python-tz (>= 2013.6),
                     python-requests (>= 2.10.0),
                     python-routes (>= 1.12.3),
                     python-saharaclient (>= 1.1.0),
                     python-senlinclient (>= 1.1.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-swiftclient (>= 1:3.2.0),
                     python-tempest (>= 1:12.1.0),
                     python-tenacity (>= 3.2.1),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1:2.2.0),
                     python-webob (>= 1.6.0),
                     python-yaml (>= 3.10.0),
                     python-yaql (>= 1.1.0),
                     python-zaqarclient (>= 1.0.0),
                     subunit
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
Homepage: http://wiki.openstack.org/Heat
XS-Testsuite: autopkgtest

Package: python-heat
Section: python
Architecture: all
Depends: python-aodhclient (>= 0.7.0),
         python-babel,
         python-barbicanclient (>= 4.0.0),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1:1.6.0),
         python-croniter,
         python-crypto,
         python-cryptography (>= 1.0),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.3),
         python-fixtures (>= 3.0.0),
         python-glanceclient (>= 1:2.5.0),
         python-greenlet,
         python-heatclient (>= 1.6.1),
         python-keystoneauth1 (>= 2.14.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.2.0),
         python-lxml,
         python-magnumclient (>= 2.0.0),
         python-manilaclient (>= 1.10.0),
         python-migrate (>= 0.9.6),
         python-mistralclient (>= 1:2.0.0),
         python-monascaclient (>= 1.1.0),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-openstackclient (>= 3.3.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-osprofiler (>= 1.4.0),
         python-pastedeploy,
         python-crypto (>= 2.6),
         python-pymysql,
         python-tz (>= 2013.6),
         python-requests (>= 2.10.0),
         python-routes,
         python-saharaclient (>= 0.18.0),
         python-senlinclient (>= 0.3.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-swiftclient (>= 1:3.2.0),
         python-tenacity (>= 3.2.1),
         python-troveclient (>= 2.2.0),
         python-webob (>= 1.6.0),
         python-yaml,
         python-yaql (>= 1.1.0),
         python-zaqarclient (>= 1.0.0),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Depends: adduser,
         python-heat (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.
